#ifndef RENDERMANAGER_H_INCLUDED
#define RENDERMANAGER_H_INCLUDED

#include <vector>
#include <string>
#include <SDL/SDL.h>

#include "Engine.h"

class cRenderManager
{
    private:
    protected:
    public:
        std::vector<cRenderObject*> m_Objects;

        //Draws child objects
        void update()
        {
            //Loop through objects
            for (unsigned int indx = 0; indx < m_Objects.size(); indx++)
            {
                if(m_Objects[indx]->m_Visible)
                    m_Objects[indx]->update(screen);
            }
        }

        void addRenderObject(cRenderObject* Object)
        {
            m_Objects.push_back(Object);
        }
};

#endif // RENDERMANAGER_H_INCLUDED
